using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Drawing;

public partial class MasterPage : System.Web.UI.MasterPage
{

    RadAjaxManager _radAjaxManager = null;
    RadAjaxLoadingPanel _radAjaxLoadingPanel = null;

   
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        _radAjaxManager = new RadAjaxManager();
        _radAjaxManager.ID = "radAjaxManager";
      
        form1.Controls.Add(_radAjaxManager);

        _radAjaxLoadingPanel = new RadAjaxLoadingPanel();
        _radAjaxLoadingPanel.ID = "radAjaxLoadingPanel";
        _radAjaxLoadingPanel.BackgroundPosition = AjaxLoadingPanelBackgroundPosition.Center;
        _radAjaxLoadingPanel.Transparency = 20;
        _radAjaxLoadingPanel.BackColor = Color.WhiteSmoke;
        System.Web.UI.WebControls.Image img = new System.Web.UI.WebControls.Image();
        img.ImageUrl = "~/Images/loading.gif";
        _radAjaxLoadingPanel.Controls.Add(img);
        _radAjaxLoadingPanel.MinDisplayTime = 1000;
       

        form1.Controls.Add(_radAjaxLoadingPanel);
        _radAjaxManager.DefaultLoadingPanelID = "radAjaxLoadingPanel";
       
    }


}
